GtriggerManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GtriggerManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GtriggerManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.galerts.server.session.GtriggerManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class GtriggerManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`GtriggerManagerEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`GtriggerTypeInfo` | `findTriggerType(GtriggerType type)`
`static org.hyperic.hq.galerts.shared.GtriggerManagerLocal` | `getOne()`
`GtriggerTypeInfo` | `registerTriggerType(GtriggerType triggerType)` Register a trigger type.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `unregisterTriggerType(GtriggerType triggerType)` Unregister a trigger type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GtriggerManagerEJBImpl

    public GtriggerManagerEJBImpl()

Method Detail

### findTriggerType

    public GtriggerTypeInfo findTriggerType(GtriggerType type)

### registerTriggerType

    public GtriggerTypeInfo registerTriggerType(GtriggerType triggerType)

  Register a trigger type.

  Parameters:
    `triggerType` - Trigger type to register
  Returns:
    the persisted metadata about the trigger type

### unregisterTriggerType

    public void unregisterTriggerType(GtriggerType triggerType)

  Unregister a trigger type. This method will fail if any alert definitions are using triggers of this type.

  Parameters:
    `triggerType` - Trigger type to unregister

### getOne

    public static org.hyperic.hq.galerts.shared.GtriggerManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.